Name: redshift
Version: 1.7
Release: 1%{dist}
Summary: Adjusts the color temperature of your screen according to time of day
Group: Applications/System
License: GPLv3+
URL: http://jonls.dk/redshift/
Source0: http://launchpad.net/redshift/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
Patch0: redshift-geoclue-provider.patch
BuildRequires: gettext
BuildRequires: libXrandr-devel
BuildRequires: libXxf86vm-devel
BuildRequires: GConf2-devel
BuildRequires: geoclue-devel

%description
Redshift adjusts the color temperature of your screen according to your
surroundings. This may help your eyes hurt less if you are working in
front of the screen at night.

The color temperature is set according to the position of the sun. A
different color temperature is set during night and daytime. During
twilight and early morning, the color temperature transitions smoothly
from night to daytime temperature to allow your eyes to slowly
adapt.

This package provides the base program.

%package -n gtk-%{name}
Summary: GTK integration for Redshift
Group: Applications/System
BuildRequires: python2
BuildRequires: desktop-file-utils
Requires: pygtk2
Requires: pyxdg
Requires: %{name} = %{version}-%{release}

%description -n gtk-%{name}
This package provides GTK integration for Redshift, a screen color 
temperature adjustment program.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install INSTALL="install -p"
%find_lang %{name}
desktop-file-validate %{buildroot}%{_datadir}/applications/gtk-redshift.desktop

%post -n gtk-%{name}
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun -n gtk-%{name}
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans -n gtk-%{name}
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/redshift
%{_mandir}/man1/*

%files -n gtk-%{name}
%defattr(-,root,root,-)
%{_bindir}/gtk-redshift
%{python_sitelib}/*
%{_datadir}/icons/hicolor/scalable/apps/redshift*.svg
%{_datadir}/applications/gtk-redshift.desktop

%changelog
* Sat Jul 9 2011 Milos Komarcevic <kmilos@gmail.com> - 1.7-1
- Update to 1.7
- Add geoclue BuildRequires
- Change default geoclue provider from Ubuntu GeoIP to Hostip
- Remove manual Ubuntu icons uninstall

* Sun Feb 28 2011 Milos Komarcevic <kmilos@gmail.com> - 1.6-3
- Fix for clock applet detection (#661145)
- Require pyxdg explicitly (#675804)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 13 2010 Milos Komarcevic <kmilos@gmail.com> - 1.6-1
- Update to 1.6
- Remove BuildRoot tag and clean section

* Thu Aug 26 2010 Milos Komarcevic <kmilos@gmail.com> - 1.5-1
- Update to 1.5
- Install desktop file

* Mon Jul 26 2010 Milos Komarcevic <kmilos@gmail.com> - 1.4.1-2
- License updated to GPLv3+
- Added python macros to enable building on F12 and EPEL5
- Specific python version BR
- Subpackage requires full base package version
- Increased build log verbosity
- Preserve timestamps on install

* Thu Jun 17 2010 Milos Komarcevic <kmilos@gmail.com> - 1.4.1-1
- Update to 1.4.1

* Thu Jun 10 2010 Milos Komarcevic <kmilos@gmail.com> - 1.3-1
- Initial packaging
